Bug 7005 - mangle method = hash truncates files with dot '.' character
mangle method = hash truncates files with dot '.' character
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
unspecified
All All
: P3 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 22:25 UTC by Mike
Modified: 2010-04-16 06:11 UTC (History)
2 users (show)

See Also:


Attachments
git-am format patch for 3.4.4. (1.30 KB, patch)
2009-12-21 23:14 UTC, Jeremy Allison
vl: review+
Details
git-am format patch for 3.3.10 (1.29 KB, patch)
2009-12-21 23:18 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2009-12-21 22:25:09 UTC
"hash" mangling was stripping suffixes from filenames with a dot/period character.

This was made visible only after the fix for 6939 because till then hash wasn't really working at all.

Jeremy already has a fix worked up to restore the dot. (It was being intentionally removed in a const string.)

This does not affect hash2 (the default method).
Comment 1 Mike 2009-12-21 22:33:17 UTC
Example case to help if anyone searches for this:

The directory "OpenOffice.org" will be displayed as "OpenOffice" in windows clients and smbclient. However, attempting to open that directory will fail unless you include the (invisible) ".org"
Comment 2 Jeremy Allison 2009-12-21 23:14:46 UTC
Created attachment 5106 [details]
git-am format patch for 3.4.4.
Comment 3 Jeremy Allison 2009-12-21 23:18:18 UTC
Created attachment 5107 [details]
git-am format patch for 3.3.10
Comment 4 Karolin Seeger 2009-12-25 23:44:42 UTC
Pushed.
Closing out bug report.

Thanks!